<?php

declare(strict_types=1);

namespace App\Service\Doctrine\SchemaValidation;

enum DiffTypeEnum: string
{
    case MISSING_ENTITY = 'MISSING_ENTITY';
    case MISSING_PROPERTY = 'MISSING_PROPERTY';
    case MISSING_RELATION = 'MISSING_RELATION';
    case DIFFERENT_TYPE = 'DIFFERENT_TYPE';
    case DIFFERENT_RELATION_TYPE = 'DIFFERENT_RELATION_TYPE';
    case DIFFERENT_RELATION_CONFIGURATION = 'DIFFERENT_RELATION_CONFIGURATION';
}
